#explicito porque se dice paso por paso
CC=gcc
#main(el ejecutable) necesita para ser compilado el funciones.o y main.o

main:funciones.o main.o
#en esta linea digo que haga el compilado cuando ya esten los dos .o
	$(CC) funciones.o main.o -o main
#el main.o necesita de main.c y funciones.h
main.o:main.c funciones.h
#el -c crea el .o
	$(CC) -c main.c
# se asocia funciones.c con funciones.h
#funciones.o necesita de funciones.c y funciones.h(hace una asociacion).
#funciones.h seria el intermediario para comunicar el main.c y funciones.c
funciones.o: funciones.c funciones.h
	$(CC) -c funciones.c
